RubyGems Navigation menu

assertions 1.2.0

This package adds some additional assertions to Test::Unit::Assertions, including: * Assertions for all of the comparison operators (assert_greater_than, assert_less_than_or_equal_to, etc.). Shorter aliases also are provided for these (assert_gt, assert_le, etc.). * An assertion that verifies that a given block raises a specified exception with a specified message (assert_raise_message). This allows full testing of error messages. * An assertion that verifies that a given block contains an assertion that fails (assert_fail), which can be used to test new assertions.

Gemfile
          gem 'assertions', '~> 1.2.0'
  
  
  
  
  
  
  

install
          gem install assertions -v 1.2.0
  
  
  
  
  
  
  

Total downloads 44,271

For this version 2,040

Show all versions (7 total)

Required Ruby Version: None

Links:

Versions:

  1. 1.4.1 - January 15, 2010 (7.5 KB)
  2. 1.4.0 - June 28, 2008 (7 KB)
  3. 1.3.0 - June 26, 2008 (7 KB)
  4. 1.2.0 - June 13, 2008 (7 KB)
  5. 1.1.0 - June 9, 2008 (6.5 KB)
Show all versions (7 total)

Runtime Dependencies: